Subject: bug#50880: Add "Contributing to Emacs" help command (see C-h C-h)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Oct 2021 13:17:45 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 01 Oct 2021 09:24:45 +0200
> Cc: Gregory Heytings <[email-masked]>, [email-masked]
> 
> Stefan Kangas <[email-masked]> writes:
> 
> >> What was wrong with
> >>
> >> C-h g -> About the GNU project
> >> C-h G -> Emacs copying permission (GNU General Public License)
> >> C-h C-c -> Contributing
> >
> > IMO the best proposal so far, but Lars didn't want to move the GPL
> > from 'C-h C-c' so that part unfortunately makes it a non-starter.
> 
> I'm not dead set against it -- it's not like these are commands that
> people use heavily.  But that cuts the other way, too -- making this new
> command mnemonic isn't really that important, either, since I'd assume
> that people would be accessing them via `C-h C-h' and then paging down,
> entering whatever key it says they should use.  I.e., nobody's
> remembering these keystrokes anyway.
> 
> Perhaps Eli has an opinion here?

How about not giving it a key binding at all?  Why is a key binding
important in this case?  It's not like people will want to read that
section twice a day.

> >> Also, I would put "Contributing to Emacs" in the first subsection of
> >> "Miscellaneous", after "Debugging Emacs", where it belongs.  Which by the
> >> way makes me wonder why Emacs TODO is not there, too.  It would perhaps be
> >> even better to create a third subsection with
> >>
> >> C-p Known problems
> >> C-d Debugging Emacs
> >> ?   Contributing to Emacs
> >> C-t Emacs TODO
> >
> > Good idea, I like it.
> 
> Me too.

Which part?  If this is about the manual organization, I fail to see
what's wrong with the current one, where Contributing is a chapter --
you don't get any more prominent than that.